View Issue Details

IDProjectCategoryView StatusLast Update
0001478SymmetricDS ProBugpublic2014-06-16 20:26
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.5.11 
Target Version3.6.0Fixed in Version3.6.0 
Summary0001478: Removing a node should remove incoming batches
DescriptionWhen removing a node from Manage->Nodes, it marks batches as OK. If you add the node back in, it will skip loading these batches. Instead, we should remove batches when removing a node.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master fbfc3c70

2014-04-10 15:08:33

erilong

Details Diff
0001478: Removing a node should remove incoming batches
0001478
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IIncomingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/IncomingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/IncomingBatchServiceSqlMap.java Diff File

Issue History

Date Modified Username Field Change
2013-12-03 14:28 elong New Issue
2013-12-03 14:28 elong Status new => assigned
2013-12-03 14:28 elong Assigned To => elong
2014-04-10 15:09 elong Status assigned => resolved
2014-04-10 15:09 elong Fixed in Version => 3.6.0
2014-04-10 15:09 elong Resolution open => fixed
2014-04-10 16:00 Changeset attached => SymmetricDS trunk r8152
2014-06-16 20:26 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master fbfc3c70